/* =========================================
   TÜM SAYFALAR İÇİN GENEL AYARLAR
   ========================================= */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Segoe UI', sans-serif;
}

body {
    background: #e6e6eb;
background: linear-gradient(180deg, rgba(230, 230, 235, 1) 0%, rgba(206, 209, 222, 1) 100%);
    color: #11224E;
}

a {
    text-decoration: none;
    color: inherit;
    transition: color 0.3s;
}

ul {
    list-style: none;
}


.btn-whatsapp {
    background-color: #25D366 !important; 
    color: #fff !important; 
    display: inline-flex !important;
    align-items: center;
    justify-content: center;
    gap: 8px; 
    border: 1px solid #25D366;
    padding-left: 20px !important; 
    padding-right: 20px !important;
}

.btn-whatsapp:hover {
    background-color: #128C7E !important; 
    box-shadow: 0 0 15px rgba(37, 211, 102, 0.6);
    transform: scale(1.05) !important; 
    border-color: #128C7E;
}

.whatsapp-icon {
    width: 20px;
    height: 20px;
    fill: currentColor;
}

/* --- MOBİL BUTON --- */
.menu-btn {
    font-size: 30px;
    cursor: pointer;
    display: none;
}

/* --- MOBİL MENÜ --- */
.mobile-menu {
    display: none;
    flex-direction: column;
    background: white;
    padding: 20px;
    border-top: 1px solid #ddd;
}

.mobile-menu a {
    padding: 12px 0;
    border-bottom: 1px solid #eee;
    color: #000;
    text-decoration: none;
    font-size: 18px;
}

/* --- RESPONSIVE --- */
@media (max-width: 900px) {

    .nav-links {
        display: none;
    }

    .menu-btn {
        display: block;
    }

}

@media (max-width: 768px) {

    .banner-yazi h2 { font-size: 2rem; }
    .ust-kisim { flex-wrap: wrap; justify-content: center; gap: 10px; }
    .menu ul { display: none; }
}

/* =========================================
   FOOTER
   ========================================= */
footer {
    background: #EEEEEE;
    background: linear-gradient(90deg, rgba(32, 30, 67, 1) 0%, rgba(17, 24, 39, 1) 100%);
    padding: 20px 20px 20px;
}

.footer-icerik {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 40px;
    margin-bottom: 40px;
}

.footer-sutun h4 {
    color: #fff;
    margin-bottom: 20px;
    font-size: 18px;
}

.footer-sutun ul li { margin-bottom: 10px; }
.footer-sutun ul li a:hover { color: #111827; }
.footer-sutun p { color: white; margin-bottom: 10px; }

.copyright {
    text-align: center;
    border-top: 1px solid white;
    padding-top: 20px;
    color: white;
    font-size: 14px;
}
